com.independentsoft.exchange

## Class ClientAccessTokenRequest

- java.lang.Object
- - com.independentsoft.exchange.ClientAccessTokenRequest

-     public class ClientAccessTokenRequest
      extends java.lang.Object

  The Class ClientAccessTokenRequest.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAccessTokenRequest()` Instantiates a new client access token request.
    `ClientAccessTokenRequest(java.lang.String id, ClientAccessTokenType type)` Instantiates a new client access token request.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets the id.
    `ClientAccessTokenType` | `getType()` Gets the type.
    `void` | `setId(java.lang.String id)` Sets the id.
    `void` | `setType(ClientAccessTokenType type)` Sets the type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientAccessTokenRequest

          public ClientAccessTokenRequest()

      Instantiates a new client access token request.

    - #### ClientAccessTokenRequest

          public ClientAccessTokenRequest(java.lang.String id,
                                          ClientAccessTokenType type)

      Instantiates a new client access token request.
      Parameters:
        `id` - the id
        `type` - the type

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets the id.
      Parameters:
        `id` - the new id

    - #### getType

          public ClientAccessTokenType getType()

      Gets the type.
      Returns:
        the type

    - #### setType

          public void setType(ClientAccessTokenType type)

      Sets the type.
      Parameters:
        `type` - the new type